Skip to main content
GET
/
stores
/
{storeId}
/
payouts
/
bank-accounts
List bank accounts
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/payouts/bank-accounts \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "id": "<string>",
      "isPrimary": true,
      "status": "<string>",
      "last4": "<string>",
      "bankName": "<string>",
      "country": "<string>",
      "routingNumber": "<string>",
      "bankAccountType": "checking",
      "supportedCurrencies": [
        "<string>"
      ],
      "availablePayoutSpeeds": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Response

List of bank accounts

ok
boolean
required
data
object[]
required